# End User License Agreement

## Preamble

This end user license agreement (hereinafter “**EULA**”) is a license agreement between you as the end user and **XPipe UG (haftungsbeschränkt)**, Reichertshalde 81, 71642 Ludwigsburg, (hereinafter “**XPipe**”) for the use of the products “XPipe”, a server connection and server management software (hereinafter “**Software**”).

This document can be viewed and printed out at any time in the XPipe desktop application or at http://docs.xpipe.io/end-user-license-agreement. The customer is independently responsible for saving the text of the contract at the time the contract is concluded. No copies will be provided by XPipe after the fact.

## § 1 Subject matter and validity of the EULA

(1) The EULA governs the terms under which you may use the Software. By accepting the EULA or using the Software, you agree to be bound by the terms of the EULA.

(2) This EULA does not establish a service relationship between XPipe and you in return for payment. The payment of a license fee is solely the subject of the contractual relationship between you and the payment service provider Lemonsqueezy, to whom you pay license fees and in return we grant you a right to use additional software features. “Lemonsqueezy” collectively means Lemon Squeezy, LLC, 222 South Main Street Suite 500, Salt Lake City, Utah. Lemon Squeezy, LLC is a global payment service provider that facilitates online transactions using common online payment methods and acts as the seller of the product.

## § 2 License

(1) By entering into the EULA, you receive the non-exclusive, non-transferable and non-sublicensable right, unlimited in time, to run the Software installed on a computer in machine-readable format in accordance with the terms of the EULA (“License”).

(2) The rights granted with the license include the right to obtain updates of the software provided by XPipe for the period of an active license. The use of updates is voluntary. Insofar as new software functions are introduced with an update, this does not justify any claim by you that these will also be maintained with future updates.

## § 3 Provision of the Software, Activation of the License

(1) The software is made available by you downloading it from the XPipe website and installing it independently on your device. XPipe itself owes you neither provision nor installation or integration of the software on a computer.

(2) Any active license is checked for validity each time the program is started. For this purpose, an Internet connection is required at least once a week when the program is started. Any circumvention of a license activation and any unauthorized use of the software not authorized by XPipe and in violation of this EULA is prohibited.

(3) Activation of a license is done individually for you as an end user, and the activated license is verified when the program is started. You may install the software on multiple computers.

(4) Any circumvention of the aforementioned activation is prohibited.

## § 4 Rights to the Software

(1) Subject to the terms of any license granted and except as expressly provided in this EULA or otherwise agreed, you acquire no rights in the Software or Documentation. All Software and Documentation provided by XPipe, all copies, compilations, derivative products, programmatic enhancements, patches, revisions and updates to or relating to the Software, and all patent, utility model, trademark, design and copyright, trade secret, trade name and any other invention, design and information protected by law contained in any of the foregoing are and shall remain the property or ownership of XPipe.

(2) You are prohibited from asserting the rights set forth in § 5 (1) or claims for the granting of any of the aforementioned rights to the Software or the Documentation and, in particular, from registering or claiming intellectual property rights to the Software against XPipe or third parties.

(3) With the exception of §§ 69d, 69e UrhG, the customer is prohibited from attempting to reconstruct, decompile or decrypt any source code or underlying ideas or algorithms of any software or to permit a third party to do so. Except as otherwise provided in this EULA, or as otherwise expressly agreed between the parties, you may not modify the Software, make it available for use by third parties against payment, sublet it, or otherwise transfer any rights of use to third parties. Your right to execute the software installed on a specific computer in accordance with this EULA remains unaffected.

(4) You are obligated to notify XPipe immediately of any violations of these provisions or any other violations of XPipe's rights to the software that are known to you or become known to you in the future.

## § 5 No warranty

XPipe does not warrant to you that the software has a certain quality or a certain scope of functions and is free of defects.

## § 6 Liability

(1) XPipe shall be liable without limitation in the event of (i) intent and gross negligence, (ii) for injury to life, limb and health, (iii) in accordance with the provisions of the Product Liability Act, from Art. 82 of Regulation 2016/670/EU (DSGVO) or other mandatory statutory liability provisions in accordance with the standards set forth therein, and (iv) to the extent of any warranty assumed.

(2) XPipe shall further be liable for culpable breach of a material contractual obligation, the fulfillment of which is a prerequisite for proper performance of the contract and compliance with which the contractual partner may regularly rely on (“cardinal obligation”), but in the event of simple (minor) negligence limited to the damage reasonably to be expected and foreseeable at the time of conclusion of the contract.

(3) XPipe shall have no further liability.

(4) The above limitation of liability shall also apply to the personal liability of employees, representatives and members of XPipe's governing bodies.

## § 7 Data protection

XPipe is obligated to comply with the applicable data protection regulations. Information on data protection and the processing of personal data by XPipe can be found in the privacy policy for the Software: https://docs.xpipe.io/privacy-policy

## § 8 Final provisions

(2) Neither party may transfer or assign this EULA in whole or any rights or obligations hereunder without the prior written consent of the other party. Any such transfer or assignment shall be void. Notwithstanding the foregoing, (i) a party may assign this agreement to a third party that assumes all or substantially all of its related business activities as a result of a merger, sale of shares or assets, or similar transaction, and (ii) XPipe may use third parties to perform its obligations under this agreement, provided that XPipe shall remain liable for any breach of such obligations.

(3) This EULA shall be governed by the laws of the Federal Republic of Germany, excluding the United Nations Convention on Contracts for the International Sale of Goods (CISG) and conflict of law provisions. The place of performance and jurisdiction shall be Stuttgart, Germany.

(4) If any provision of this EULA is invalid, void or unenforceable under any present or future law, the remainder of this EULA shall continue in full force and effect. To the extent that the invalid, void or unenforceable provision is a material term of the agreement, the parties agree to jointly negotiate a valid alternative provision.
