## Browser improvements

Feedback showed that the file browser transfer pane in the bottom left was confusing and unintuitive to use. Therefore, it has now been changed to be a more straightforward download area. You can drag files into it to automatically download them. From there you can either drag them directly where you want them to be in your local desktop environment or move them into the downloads directory.

There is now the possibility to jump to a file in a directory by typing the first few characters of its name.

There were also a couple of bug fixes:
- Fix file transfers on Windows systems failing for files > 2GB due to overflow
- Fix remote file editing sometimes creating blank file when using vscode
- Fix file transfers failing at the end with a timeout when the connection speed was very slow

## API additions

Several new endpoints have been added to widen the capabilities for external clients:

- Add /connection/add endpoint to allow creating connections from the API
- Add /connection/remove endpoint to allow removing existing connections from the API
- Add /connection/browse endpoint to open connections in the file browser
- Add /connection/terminal endpoint to open a terminal session four of connection
- Add /connection/toggle endpoint to enable or disable connections such as tunnels and service forwards
- Add /connection/refresh endpoint to refresh a connection state and its children

## Other

- Fix xpipe not starting up when changing user on Linux
- Fix some editors and terminals not launching when using the fallback sh system shell due to missing disown command
- Fix csh sudo elevation not working
- Implement various application performance improvements
- Rework sidebar styling
- Improve transparency styling on Windows 11
- Add support for zed editor