## File browser improvements

- Add right click context menu to browser tabs
- Add ability to select tabs with function keys, e.g. F1, F2, ...
- Add ability to cycle between tabs with CTRL+TAB and CTRL+SHIFT+TAB
- Fix some keyboard shortcuts being broken
- Fix pressing enter on rename also opening file
- Fix right click not opening context menu in empty directory
- Fix shell opener in navigation bar being broken, so you can now run programs and shells again from the navigation bar similar to Windows explorer
- There is now an always visible loading indicator when a tab is being opened
- Add timeout to file selection when typing a file name that was not found
- Improve flow of file selection by when typing its name
- Remove limitation of only being able to open one system at the time while it is loading

## Other

- Rework UI to be more compact and show more connections
- Implement native window styling on macOS
- Add support for VNC RSA-AES authentication schemes, allowing to connect to more types of VNC servers
- Services can now be opened in a browser using either HTTP or HTTPs
- You can now create shortcuts to automatically forward and open services in a browser
- Fix docker containers in some cases not persisting, leaving invalid orphan connections behind on the bottom
- Fix connection failures to proxmox VMs that have additional custom network interfaces
- Fix window not saving maximized state on restart
- Don't modify git URLs anymore to fix sync with certain providers like azure
- Improve git remote connection error messages
- Replace system tray mode with background mode on Linux
- Improve description for service groups
- Publish API libraries to maven central
- Show warning when launching PowerShell in constrained language mode
- Fix rare NullPointers when migrating an old vault
