## Hyper-V support

This release comes with an integration for Hyper-V. Searching for connections on a system where Hyper-V is installed should automatically add connections to your VMs. Note that Hyper-V requires Administrator privileges to interact with the VMs, so you have to start XPipe as an administrator if accessing a local Hyper-V VM and login as a user with Administrator privileges if you're accessing a remote Hyper-V instance.

XPipe can connect to a VM via PSSession or SSH. PSSession is used by default for Windows guests if no SSH server is available on the guest. In all other cases, it will try to connect via SSH. Since Hyper-V cannot run guest commands on non-Windows systems from the outside, you have to make sure that an SSH server is already running in the VM in that case.

I'm looking into integrating this feature with RDP next.

The Hyper-V integration is available starting from the homelab plan. It is also available in the new feature preview for two weeks after release.

## PSSession improvements

In conjunction with Hyper-V, the PSSession support has also been reworked. Several broken things have been fixed, so it functions properly now. There's also now support to use gateways, similar to SSH connections. Any specified ComputerName also does not have to be already added to the trusted hosts anymore, XPipe now asks automatically whether to add an entry to the PowerShell remote trusted hosts.

## SSH identity sources

With XPipe 11, it was implemented that selecting `None` for an SSH identity would prevent any SSH keys from being offered, including from external sources like agents and password managers. This however broke some connections where a more exotic type of agent was used that was not explicitly supported by XPipe. One example would be password managers that offer SSH key integration, as they come with their own agent. 

You can now select the new identity option `Other external source` to allow these external programs offering their keys to the SSH client automatically again.

## VNC improvements

The VNC integration has been reworked. It now supports more encrypted authentication methods, allowing it to connect to more servers. Furthermore, it is also now possible to create VNC connections without an SSH tunnel for systems that do not have SSH connectivity. The error handling has also been improved to silently ignore unknown server messages instead of displaying errors all the time. You can also now send CTRL+ALT+DEL via SHIFT+CTRL+ALT+DEL.

## Other

- Automatically select correct connection category if filter string has an unambiguous match
- Connections being cloned are now added relatively to the original connection instead of at the bottom
- Newly added connections are now added on the top instead of on the bottom
- The HTTP API now has to be enabled explicitly in the settings menu to strengthen security
- There is now a new context menu action to copy the current IP of any VM
- Fix exception when not allowing XPipe access to certain directories on macOS
- Fix file browser failing when passwd or groups file was corrupt
- Fix various errors when trying to shut down application while it is still starting up
