## Changes

- Add popup to automatically save file with sudo when permissions are denied in file browser
- You can now restart any ended terminal session by pressing R in the terminal
- Add support for the windows credential manager as a password manager
- Reuse existing shell session when adding new connection and searching for available connections
- Implement support for setting custom icons, thanks to [https://github.com/selfhst/icons](https://github.com/selfhst/icons)
- Replace deprecated wmic tool interaction on Windows
- Add button to log in as a different user for RDP tunnel connections
- Properly terminate all running connections when shutting down
- Improve color scheme contrast for light themes
- Improve connection hub styling
- Rework Windows OS name detection
- Improve script summary display
- Upgrade to GraalVM 22.0.2
- There is now a docker image with a web-based desktop environment for XPipe at [https://github.com/xpipe-io/xpipe-webtop](https://github.com/xpipe-io/xpipe-webtop)

## Fixes

- Fix csh, opnsense, pfsense shells being broken
- Fix VM start/stop actions only being visible when user credentials were supplied
- Fix tunnels failing to start when the remote login shell was fish
- Fix dashlane password manager configuration being wrong
- Fix some shell sessions staying open in the background when closing connection creation dialog
- Fix SSH bridge not launching on Linux with missing sshd
- Fix browser transfer progress flickering
- Fix powershell type not being able to be recognized in certain language modes
- Fix Cygwin/Msys2/GitForWindows not showing up in connection search sometimes
- Fix some startup checks not working
- Fix scrollbar not resetting when changing application tabs
- Fix file modified dates and color names not being translated

## Git vault improvements

- Add more extensive documentation to the remote git repository settings menu
- Add restart button to the sync settings menu
- Improve git failure messages
- Fix git CLI check not working on macOS due to xcode-select
- Fix git sync failing when multiple gpg programs were present in PATH

## Product hunt

XPipe will be on ProductHunt on October 22. If you interested, you can follow XPipe at [https://www.producthunt.com/products/xpipe](https://www.producthunt.com/products/xpipe) to get notified.
