## Professional edition restructuring

There was some feedback that the available plans for the professional edition were confusing. The monthly subscription and one time purchase could easily be confused as basically the same thing with a different timespan. Even the FAQ could still not eliminate all points of confusion as most readers were already familiar with plans from other tools, so it was difficult to properly break up the terms.

While the monthly subscription did serve well as a cheap trial of some sorts, the community edition does almost the same job as most functionality is also available in there for noncommercial systems. Most people were also wary of subscriptions and interpreted the one-time purchase option as just a longer subscription even though that is not the case. There were also several other problems such as payment limitations with the subscription and no easy way to convert an existing subscription into the one-time purchase.

With this update, the monthly subscription will be retired. This makes it much easier to explain what you will get when purchasing the professional edition without having to differentiate between two completely different models. If you are currently using the monthly subscription, nothing will change for you. It will just not be possible for new customers to purchase it anymore.

The website at [https://xpipe.io](https://xpipe.io) has also been updated with the updated professional edition structure and will now hopefully explain everything better.

There's also now a lifetime professional edition available, which will include all future pro features. You can find the details for that on the pricing page in the FAQ if you are interested.

## Other changes

- Add support for OVH bastion systems (Professional feature)
- Implement tab coloring for Windows Terminal in a better way
- Fix sudo commands failing in `sh` shells with `Bad substitution`
- Fix children connections always being included in parent category even when disabled in settings
- Fix last used ordering not working correctly for connections
- Fix skipped connection validation still searching for child connections
- Fix connections failing when user home directory did not exist
- Fix local file browser terminal open not initializing in the right directory
- Fix temporary script directory permissions not being set correctly, leading to issues when logging into a system with multiple users
- Fix application not using bundled fonts when local fonts failed to load
- Fix automatic local shell fallback not working on Linux and macOS
- Fix git password prompt getting stuck when called during shutdown and not pushing changes
