## Fixes

- Fix custom scripts not properly applying
- Fix closing application window while XPipe was saving not properly applying all changes
- Fix race condition when loading file icons
- Fix state corruption of local shell, leading to NullPointers once a shell connection had to be killed
- Fix error handling in case powershell failed to start up
- Fix a corrupted PATH leading to cmd or powershell not being able to be started
- Fix headless system error message not being printed when application failed to start up
- Fix offline licenses not properly applying
- Fix WMClass not being properly set on Linux
- Fix file browser files being dragged into macOS finder creating raw clipboard file
- Fix SSH gateway not updating when choosing key file on another host
- Fix file browser failing to connect if target system did not have id command available
- Fix git share file button not jumping to correct settings menu

## File browser improvements

The file browser has been reworked to support many new keyboard shortcuts, plus the general user experience has been improved:

- There is now a duration estimate when transferring large files
- Files that are right-clicked are now also included in the selection
- The quick access menu will now shift focus properly
- The file list can be navigated with the arrow keys. CTRL and SHIFT can be used to multiple select files
- Any files you drag can now be explicitly moved by holding ALT
- Renaming files will now preserve the selection
- *RIGHT* will open the quick access menu tree for directories
- *CTRL+W* closes the current file browser tab
- *CTRL+SHIFT+W* closes all file browser tabs
- *CTRL+Q* closes the window
- *CTRL+F* will now properly toggle the find text field
- *CTRL+L* will now focus the path location text field
- *ALT+HOME* will go to the file system overview page
- *ALT+H* shows the browsing history
- *ALT-UP* navigates to the parent directory
- *ESCAPE* clears the selection
- *SPACE* shows the context menu for the selection
- 
## Git handling improvements

The git error actions have been reworked. In case any merge conflict or similar occurs, the possible actions are now handled better:
- They are properly highlighted to distinguish them from the normal error dialog window
- They now work for all git client localizations
- They are less likely to cause git accidents. Any possible destructive action has to be confirmed now
