## Git vault improvements

- The generated repository readme file has been improved. It will now show a proper tree for all connections. It also now contains troubleshooting information and instructions in case something is not working as expected.
- Fix git integration on Windows not committing anything when GPG signing was required
- Fix git askpass not properly working for SSH git connections when the SSH connection required user input, e.g. if a used key file had a passphrase
- Some git performance improvements

## Other

- Add support for Windows Terminal Canary
- Proxmox systems can now also be added for users other than root if sudo is available
- Fix actions to accept new ssh host key and to fix key permissions not showing up
- Fix windows sometimes showing in the top left corner on Linux
- Fix popup windows being cut off in xfce and i3 desktop environments
- Fix k8s license check failing when a cluster permissions error occurred
- Explicitly set language variables on Linux and macOS to keep internal terminal commands in english
- Don't show nonfunctional translated directory links on Windows systems
- The password manager command in the settings men you now support multi-line commands
- Fix out of bounds error for file chooser with files already in the git vault
- Fix NullPointer error when clearing a host connection chooser
- Fix some NullPointers in the file browser
