## Connection notes

There is now the new option to add notes to any connection. These notes are written in markdown, and the full markdown spec is supported.

## File transfer reliability improvements

The file transfer mechanism when editing files had some flaws, which under rare conditions caused the data not being fully transferred or the file browser session to timeout/die. This was especially prevalent when saving a file multiple times in quick succession or when using VSCode on Windows, which performs multiple file writes on save (for whatever reason).

The entire transfer implementation has been rewritten to iron out these issues and increase reliability. Other file browser actions have also been made more reliable.

There seems to be another separate issue with a PowerShell bug when connecting to a Windows system, causing file uploads to be slow. For now, xpipe can fall back to pwsh if it is installed to work around this issue.

## Git vault improvements

The conflict resolution has been improved
- When setting up the git vault on another system, there will no longer be an initial merge conflict that has to be handled
- In case of a merge conflict, overwriting local changes will now preserve all connections that are not added to the git vault, including local connections
- You now have the option to force push changes when a conflict occurs while XPipe is saving while running, not requiring a restart anymore

## Terminal improvements

The terminal integration got reworked for some terminals:
- iTerm can now launch tabs instead of individual windows. There were also a few issues fixed that prevented it from launching sometimes
- WezTerm now supports tabs on Linux and macOS. The Windows installation detection has been improved to detect all installed versions
- Terminal.app will now launch faster

## Other

- You can now add simple RDP connections without a file
- Fix VMware Player/Workstation and MSYS2 not being detected on Windows. Now simply searching for connections should add them automatically if they are installed
- The file browser sidebar now only contains connections that can be opened in it, reducing the amount of connection shown
- Clarify error message for RealVNC servers, highlighting that RealVNC uses a proprietary protocol spec that can't be supported by third-party VNC clients like xpipe
- Fix Linux builds containing unnecessary debug symbols
- Fix AUR package also installing a debug package
- Fix application restart not working properly on macOS
- Fix possibility of selecting own children connections as hosts, causing a stack overflow. Please don't try to create cycles in your connection graphs
- Fix vault secrets not correctly updating unless restarted when changing vault passphrase
- Fix connection launcher desktop shortcuts and URLs not properly executing if xpipe is not running
- Fix move to ... menu sometimes not ordering categories correctly
- Fix SSH command failing on macOS with homebrew openssh package installed
- Fix SSH connections not opening the correct shell environment on Windows systems when username contained spaces due to an OpenSSH bug
- Fix newly added connections not having the correct order
- Fix error messages of external editor programs not being shown when they failed to start
