package io.xpipe.ext.base.service;

import io.xpipe.app.storage.DataStoreEntry;
import io.xpipe.core.store.DataStore;

import java.util.List;

public class CustomServiceGroupStoreProvider extends AbstractServiceGroupStoreProvider {

    @Override
    public DataStore defaultStore() {
        return CustomServiceGroupStore.builder().build();
    }

    @Override
    public DataStoreEntry getDisplayParent(DataStoreEntry store) {
        CustomServiceGroupStore s = store.getStore().asNeeded();
        return s.getParent().get();
    }

    @Override
    public List<String> getPossibleNames() {
        return List.of("customServiceGroup");
    }

    @Override
    public List<Class<?>> getStoreClasses() {
        return List.of(CustomServiceGroupStore.class);
    }
}
