# 実行タイプ

スクリプトは複数の異なるシナリオで使用できる。

有効化トグルボタンでスクリプトを有効にすると、実行タイプによってXPipeがスクリプトに対して何を行うかが決まる。

## スクリプトの初期タイプ

スクリプトをinitスクリプトとして指定すると、シェル環境でinit時に実行されるスクリプトを選択できる。

さらに、スクリプトを有効にすると、互換性のあるすべてのシェルで、 init時に自動的に実行される。

例えば、単純なinitスクリプトを
```
alias ll="ls -l"
alias la="ls -A"
alias l="ls -CF"
```
スクリプトが有効になっていれば、互換性のあるすべてのシェル・セッションでこれらのエイリアスにアクセスできる。

## 実行可能なスクリプトタイプ

実行可能なシェルスクリプトは、接続ハブから特定の接続に対して呼び出される ことを意図している。
このスクリプトが有効になっている場合, 互換性のあるシェル弁を持つ接続に対して, スクリプトボタンからスクリプトを呼び出すことができるようになる.

例えば、単純な `sh` 方言のシェルスクリプトを `ps` という名前で作成し、現在のプロセスリストを表示するために
```
ps -A
```
とすれば、互換性のある接続であれば、スクリプトメニューからそのスクリプトを呼び出すことができる。

## ファイルスクリプトの種類

最後に、カスタムスクリプトをファイルブラウザのインターフェイスからファイル入力で実行することもできる。
ファイルスクリプトが有効になると、ファイルブラウザに表示され、ファイル入力で実行できるようになる。

例えば、単純なファイルスクリプトを
```
diff "$1" "$2"
```
というスクリプトを作成すると、 スクリプトが有効になっていれば、選択されたファイルに対して スクリプトを実行することができる。
この例では、ちょうど2つのファイルが選択されているときだけ、 スクリプトは正常に実行される。
そうでない場合、diffコマンドは失敗する。

## シェルセッションのスクリプトタイプ

セッションスクリプトは、端末のシェルセッションで呼び出すためのものである。
有効にすると、スクリプトはターゲットシステムにコピーされ、互換性の あるすべてのシェルのPATHに入れられる。
これにより、ターミナルセッションのどこからでもスクリプトを呼び出すことができる。
スクリプト名は小文字になり、スペースはアンダースコアに置き換えられるので、簡単にスクリプトを呼び出すことができる。

例えば、`sh`方言用の簡単なシェルスクリプトを`apti`という名前で作成し、それを
```
sudo apt install "$1"
```
スクリプトが有効になっていれば、ターミナルセッションで`apti.sh <pkg>`を使って互換性のあるシステム上でスクリプトを呼び出すことができる。

## 複数のタイプ

スクリプトを複数のシナリオで使用する場合、スクリプトの実行タイプに複数のチェックを入れることもできる。
