# Типы исполнения

Ты можешь использовать скрипт в нескольких различных сценариях.

Когда ты включаешь скрипт с помощью кнопки включения, типы выполнения определяют, что XPipe будет делать со скриптом.

## Тип начального сценария

Когда скрипт обозначен как init script, он может быть выбран в shell-окружении для запуска при init.

Кроме того, если скрипт включен, он будет автоматически запускаться при init во всех совместимых оболочках.

Например, если ты создашь простой init-скрипт со значением
```
alias ll="ls -l"
alias la="ls -A"
alias l="ls -CF"
```
ты будешь иметь доступ к этим псевдонимам во всех совместимых сессиях оболочки, если скрипт включен.

## Тип запускаемого скрипта

Запускаемый скрипт оболочки предназначен для вызова из хаба соединений для определенного соединения.
Когда этот скрипт включен, он будет доступен для вызова из кнопки scripts для соединения с совместимым диалектом оболочки.

Например, если ты создашь простой shell-скрипт на диалекте `sh` с именем `ps` для отображения списка текущих процессов с
```
ps -A
```
ты сможешь вызвать этот скрипт на любом совместимом соединении в меню скриптов.

## Тип файла скрипта

Наконец, ты также можешь запускать пользовательский скрипт с файловыми входами из интерфейса браузера файлов.
Когда файловый скрипт включен, он будет отображаться в браузере файлов для запуска с файловыми входами.

Например, если ты создашь простой файловый скрипт с
```
diff "$1" "$2"
```
ты сможешь запустить скрипт на выбранных файлах, если он включен.
В этом примере скрипт будет успешно запущен только в том случае, если у тебя выбрано ровно два файла.
В противном случае команда diff завершится неудачей.

## Тип скрипта сеанса оболочки

Сессионный скрипт предназначен для вызова в сеансе оболочки в твоем терминале.
Если его включить, скрипт будет скопирован в целевую систему и помещен в PATH во всех совместимых оболочках.
Это позволит тебе вызывать скрипт из любого места терминальной сессии.
Имя скрипта будет написано в нижнем регистре, а пробелы будут заменены на подчеркивания, что позволит тебе легко вызывать скрипт.

Например, если ты создашь простой shell-скрипт для диалектов `sh` под названием `apti` с
```
sudo apt install "$1"
```
ты сможешь вызвать этот скрипт на любой совместимой системе с помощью `apti.sh <pkg>` в терминальной сессии, если скрипт включен.

## Несколько типов

Ты также можешь поставить несколько галочек напротив типов выполнения скрипта, если он должен использоваться в нескольких сценариях.
