# 执行类型

您可以在多种不同情况下使用脚本。

通过启用切换按钮启用脚本时，执行类型决定了 XPipe 将如何处理脚本。

## 初始脚本类型

当脚本被指定为初始脚本时，可在 shell 环境中选择该脚本，以便在启动时运行。

此外，如果脚本被启用，它将在所有兼容的 shell 中自动在 init 时运行。

例如，如果创建一个简单的初始化脚本，使用
```
别名 ll="ls -l"
alias la="ls -A"
别名 l="ls -CF"
```
如果脚本已启用，您就可以在所有兼容的 shell 会话中访问这些别名。

## 可运行脚本类型

可运行 shell 脚本用于从连接中心调用特定连接。
启用该脚本后，该脚本可通过脚本按钮调用，用于兼容 shell 方言的连接。

例如，如果您创建了一个名为 `ps` 的简单 `sh` 方言 shell 脚本，用
```
ps -A
```
就可以在脚本菜单中的任何兼容连接上调用该脚本。

## 文件脚本类型

最后，您还可以通过文件浏览器界面的文件输入运行自定义脚本。
启用文件脚本后，该脚本将显示在文件浏览器中，可通过文件输入运行。

例如，如果你创建了一个简单的文件脚本，其中包含
```
diff "$1" "$2"
```
的简单文件脚本，如果脚本已启用，就可以在选定的文件上运行该脚本。
在这个示例中，只有当你正好选择了两个文件时，脚本才能成功运行。
否则，diff 命令将失败。

##hell 会话脚本类型

会话脚本用于在终端的 shell 会话中调用。
启用后，脚本将被复制到目标系统，并放入所有兼容 shell 的 PATH 中。
这样，你就可以在终端会话的任何地方调用脚本。
脚本名称将小写，空格将用下划线代替，以便于调用脚本。

例如，如果您为`sh`方言创建了一个简单的 shell 脚本，名为`apti`，其中包含
```
sudo apt install "$1"
```
如果脚本已启用，你就可以在终端会话中使用 `apti.sh <pkg>` 在任何兼容系统上调用该脚本。

## 多种类型

如果脚本需要在多种情况下使用，还可以勾选脚本执行类型的多个复选框。
