# VM SSH identities

Если гостевой пользователь твоей VM требует аутентификации на основе ключей для SSH, ты можешь включить эту опцию здесь.

Обрати внимание, что предполагается, что твоя ВМ не открыта для публичного доступа, поэтому хост-система ВМ используется в качестве SSH-шлюза.
В результате любая опция идентификации указывается относительно хост-системы ВМ, а не твоей локальной машины.
Любой ключ, который ты указываешь здесь, интерпретируется как файл на хосте ВМ.
Если ты используешь какой-либо агент, предполагается, что он запущен на хост-системе ВМ, а не на твоей локальной машине.

### None

Если выбрано это значение, XPipe не будет предоставлять никаких идентификаторов. Это также отключает любые внешние источники, такие как агенты.

### Файл идентификации

Ты также можешь указать файл идентификации с необязательной парольной фразой.
Эта опция эквивалентна `ssh -i <file>`.

Обрати внимание, что это должен быть *приватный* ключ, а не открытый.
Если ты перепутаешь их, ssh будет выдавать тебе только загадочные сообщения об ошибках.

### SSH-Agent

В случае если твои идентификаторы хранятся в SSH-агенте, исполняемый файл ssh сможет использовать их, если агент будет запущен.
XPipe автоматически запустит процесс агента, если он еще не запущен.

Если у тебя не установлен агент на хост-системе ВМ, рекомендуется включить переадресацию SSH-агента для исходного SSH-соединения с хостом ВМ.
Это можно сделать, создав пользовательское SSH-соединение с включенной опцией `ForwardAgent`.

### GPG Agent

Если твои идентификационные данные хранятся, например, на смарт-карте, ты можешь предоставить их SSH-клиенту через `gpg-agent`.
Эта опция автоматически включит поддержку SSH агентом, если она еще не включена, и перезапустит демон GPG-агента с правильными настройками.

### Yubikey PIV

Если твои личные данные хранятся в смарт-карте PIV, встроенной в Yubikey, ты можешь получить их
их с помощью библиотеки YKCS11 от Yubico, которая поставляется в комплекте с Yubico PIV Tool.

Обрати внимание, что для использования этой функции тебе нужна актуальная сборка OpenSSH.

### Пользовательская библиотека PKCS#11

Это даст указание клиенту OpenSSH загрузить указанный файл общей библиотеки, который будет обрабатывать аутентификацию.

Обрати внимание, что для использования этой функции тебе нужна актуальная сборка OpenSSH.

### Pageant (Windows)

Если ты используешь pageant под Windows, XPipe сначала проверит, запущен ли pageant.
Из-за особенностей работы pageant ты должен убедиться в том, что она запущена
так как тебе придется каждый раз вручную указывать все ключи, которые ты хочешь добавить.
Если он запущен, XPipe передаст соответствующую именованную трубу через
`-oIdentityAgent=...` к ssh, тебе не придется включать какие-либо пользовательские файлы конфигурации.

### Pageant (Linux & macOS)

Если твои идентификаторы хранятся в агенте Pageant, то исполняемый файл ssh сможет их использовать, если агент будет запущен.
XPipe автоматически запустит процесс агента, если он еще не запущен.

### Другой внешний источник

Эта опция позволит любому внешнему провайдеру идентификации предоставлять свои ключи SSH-клиенту. Тебе следует использовать эту опцию, если ты используешь любой другой агент или менеджер паролей для управления ключами SSH.
