### なし

を選択すると、XPipe は ID を提供しない。これは、エージェントのような外部ソースも無効にする。

### アイデンティティファイル

オプションのパスフレーズとともに ID ファイルを指定することもできる。
このオプションは、`ssh -i <file>` と同等である。

これは公開鍵ではなく、*秘密*鍵であることに注意すること。
これを間違えると、sshは不可解なエラーメッセージを出すだけである。

### SSHエージェント

あなたのIDがSSH-Agentに保存されている場合、エージェントが起動すればssh実行ファイルはそれを使用することができる。
XPipeはエージェントプロセスがまだ起動していない場合、自動的に起動する。

### GPG エージェント

ID が例えばスマートカードに保存されている場合、`gpg-agent` を使って SSH クライアントに ID を提供することができる。
このオプションは、まだ有効になっていない場合、エージェントのSSHサポートを自動的に有効にし、正しい設定でGPGエージェントデーモンを再起動する。

### Yubikey PIV

IDがYubikeyのPIVスマートカード機能で保存されている場合、YubicoのYubikey PIVを使用してIDを取得できる。
Yubico PIV ToolにバンドルされているYubicoのYKCS11ライブラリを使用する。

この機能を使うには、OpenSSHの最新ビルドが必要であることに注意。

### カスタム PKCS#11 ライブラリ

これは OpenSSH クライアントに、指定した共有ライブラリファイルを読み込むように指示する。

この機能を使うには、最新の OpenSSH が必要であることに注意。

### ページェント（Windows）

Windows で pageant を使用する場合、XPipe はまず pageant が起動しているかどうかを確認する。
ページャントの性質上、ページャントが実行されているかどうかはユーザーの責任である。
ページェントが実行されている場合、XPipeは最初にページェントが実行されているかどうかを確認する。
ページェントが実行されていれば、XPipeは適切な名前のパイプを
`-oIdentityAgent=...`経由で適切な名前のパイプをsshに渡す。

### Pageant (Linux & macOS)

ID が pageant エージェントに保存されている場合、エージェントが起動すれば ssh 実行ファイルはそれを使用できる。
XPipeは、エージェントプロセスがまだ実行されていない場合、自動的に開始する。

### その他の外部ソース

このオプションは、外部で実行中の ID プロバイダが SSH クライアントに鍵を供給することを許可する。SSH鍵の管理に他のエージェントやパスワードマネージャを使用している場合は、このオプションを使用する必要がある。
