## SSH の設定

ここでは、接続に渡すSSHオプションを指定することができる。
いくつかのオプションは、`HostName`のように、 接続を成功させるために基本的に必要なものである、
他の多くのオプションは純粋にオプションである。

すべての可能なオプションの概要を知るには、[`man ssh_config`](https://linux.die.net/man/5/ssh_config) を使うか、この [guide](https://www.ssh.com/academy/ssh/config) を読むとよい。
サポートされているオプションの正確な量は、インストールされている SSH クライアントに依存する。

### フォーマット

ここでの内容は、SSH設定ファイルの1つのホストセクションに相当する。
`Host`キーを明示的に定義する必要はない。

複数のホストセクションを定義する場合、例えばプロキシジャンプホストが別の設定ホストに依存しているなど、依存する接続がある場合は、ここにも複数のホストエントリを定義することができる。XPipeは最初のホストエントリを起動する。

空白やインデントで整形する必要はない。

空白が含まれている場合は、値を引用符で囲む必要がある。

### 識別子ファイル

ここで`IdentityFile`オプションを指定することもできる。
このオプションをここで指定した場合、それ以外の方法で指定された キーベース認証オプションは無視される。

XPipe git vault で管理されている ID ファイルを参照したい場合も、同様に指定できる。
XPipe は共有された ID ファイルを検出し、git vault をクローンしたすべてのシステムのファイルパスを自動的に適応する。
